<?php
if (!defined('IN_PLP'))
{
	die('Hacking attempt');
	exit;
}

// Beginning of webmaster config
// Read the comments attentively and change the code piece for piece

$website = $_SERVER["SERVER_NAME"];
if(substr($website,0,4) == 'www.')$website = substr($website, 4);

// == Default values
$config['page']     = '';
$config['nick']     = '';
$config['pass']     = '';
$config['chan']     = '';
$config['server']   = 'irc.'.$website;
$config['style']    = 'Silver';
$config['font']     = 'SansSerif';
$config['font2']    = '14';
$config['smileys']  = 'yes';
$config['age']      = '--';
$config['sex']      = '--';
$config['location'] = '--';
$config['save']     = 'yes';

// == Cookie Settings
$cookie_name    = 'PJIRC_Login';
// cookie lifetime: 'number unit'
// available units are: h (hours), d (days), w (weeks), m (months)
$cookie_lifetime = '30 d'; // => cookie will expire in 30 days
$cookie_path     = ''; // path, where the cookie should be available
$cookie_domain   = ''; // domain, where the cookie should be available

// == Select Options
$options_font  = array('Dialog', 'SansSerif', 'Serif', 'Monospaced', 'DialogInput', 'Verdana');
$options_font2 = array(10, 11, 12, 13, 14, 15, 16);

// == ASL Settings
// Age
$start = 8;
$end   = 18;

// if the chatter doesn't put in anything, this will be taken
$altasl = 'Unknown';

$options_sex = array('--', 'Boy', 'Girl');

// yes or no
$away_script   = 'no'; // deactivated, doesn't work correctly
$java_check    = 'yes';

$popup         = 'no';
$layer         = 'no';
$layer_message = 'Chat Page is loading...';

// method to transfer the form data to applet site: 'get' or 'post'
$method = 'post';

// Page Settings
$title         = $website; // Page Title
$headline      = 'Welcome to '.$website; // Form Headline
$logo          = 'img/pjirclogo.gif'; // logo on login form
$link          = 'http://www.'.$website;	// logo link
$alt           = 'PJIRC - provided by hostchaos.com'; // alternative text for logo, if it can't be shown...

// == Layout Settings
// Here you can set, what elements should be displayed on Login form. Nickname is on by default.
// Possible value are password, channel, server, style, font, asl, smiley and save
$layout['basic']    = 'asl';
$layout['advanced'] = 'password, channel, server, style, font, asl, smiley, save';

// paths (or urls)
$appletpath = 'pjirc/';
// below applet path
$soundpath  = 'snd/';
$imgpath    = 'img/';

// == PJIRC Quit Message
$quit_message = 'PJIRC - provided by hostchaos.com';

// == PJIRC Language
$lang      = 'english';
$pixx_lang = 'pixx-english';
$langext   = 'lng';
// language files -> english.lng and pixx-english.lng

// == IRC Commands syntax
$join_channel = '/join';
$nickserv_identify_password = '/msg nickserv identify';

// Applet Parameters
// Syntax: 'param name' => 'param value'
// ' and \ need to be escaped to \' and \\
$param = array(
	'highlight' => 'true',
	'asl' => 'true',
	'style:highlightlinks' => 'true',
	'pixx:highlightnick' => 'true',
	'pixx:styleselector' => 'true',
	'pixx:setfontonstyle' => 'true',
	'pixx:displayentertexthere' => 'false',
	'pixx:timestamp' => 'true',
	'pixx:mouseurlopen' => '1 2',
	'pixx:mousechanneljoin' => '1 2',
	'pixx:configurepopup' => 'true',
/*	'pixx:popupmenustring1' => 'Whois',
	'pixx:popupmenustring2' => 'Query',
	'pixx:popupmenustring3' => 'Ban',
	'pixx:popupmenustring4' => 'Kick + Ban',
	'pixx:popupmenustring5' => '--',
	'pixx:popupmenustring6' => 'Op',
	'pixx:popupmenustring7' => 'DeOp',
	'pixx:popupmenustring8' => 'HalfOp',
	'pixx:popupmenustring9' => 'DeHalfOp',
	'pixx:popupmenustring10' => 'Voice',
	'pixx:popupmenustring11' => 'DeVoice',
	'pixx:popupmenustring12' => '--',
	'pixx:popupmenustring13' => 'Ping',
	'pixx:popupmenustring14' => 'Version',
	'pixx:popupmenustring15' => 'Time',
	'pixx:popupmenustring16' => 'Finger',
	'pixx:popupmenustring17' => '--',
	'pixx:popupmenustring18' => 'DCC Send',
	'pixx:popupmenustring19' => 'DCC Chat',
	'pixx:popupmenucommand1_1' => '/Whois %1',
	'pixx:popupmenucommand2_1' => '/Query %1',
	'pixx:popupmenucommand3_1' => '/mode %2 -o %1',
	'pixx:popupmenucommand3_2' => '/mode %2 +b %1',
	'pixx:popupmenucommand4_1' => '/mode %2 -o %1',
	'pixx:popupmenucommand4_2' => '/mode %2 +b %1',
	'pixx:popupmenucommand4_3' => '/kick %2 %1',
	'pixx:popupmenucommand6_1' => '/mode %2 +o %1',
	'pixx:popupmenucommand7_1' => '/mode %2 -o %1',
	'pixx:popupmenucommand8_1' => '/mode %2 +h %1',
	'pixx:popupmenucommand9_1' => '/mode %2 -h %1',
	'pixx:popupmenucommand10_1' => '/mode %2 +v %1',
	'pixx:popupmenucommand11_1' => '/mode %2 -v %1',
	'pixx:popupmenucommand13_1' => '/CTCP PING %1',
	'pixx:popupmenucommand14_1' => '/CTCP VERSION %1',
	'pixx:popupmenucommand15_1' => '/CTCP TIME %1',
	'pixx:popupmenucommand16_1' => '/CTCP FINGER %1',
	'pixx:popupmenucommand18_1' => '/DCC SEND %1',
	'pixx:popupmenucommand19_1' => '/DCC CHAT %1'
*/);

// Smileys
// Syntax: array("filename", "1st Smiley Definition", "2nd Smiley Definition")
// more than 2 definitions are even possible
// Note: don't use a double quote for a smiley definition itself
$smiley = array(
	array(		"sourire.gif"		,		":)"	,	":-)"		),
	array(		"content.gif"		,		":D"	, 	":-D"		),
	array(		"OH-2.gif"			,		":-O"					),
	array(		"OH-1.gif"			,		":o"					),
	array(		"langue.gif"		,		":P"	,	":-P"		),
	array(		"clin-oeuil.gif"	,		";)"	,	";-)"		),
	array(		"triste.gif"		,		":("	,	":-("		),
	array(		"OH-3.gif"			,		":|"	,	":-|"		),
	array(		"pleure.gif"		,		":'("					),
	array(		"rouge.gif"			,		":$"	, 	":-$"		),
	array(		"cool.gif"			,		"(H)"	,	"(h)"		),
	array(		"enerve1.gif"		,		":-@"					),
	array(		"enerve2.gif"		,		":@"					),
	array(		"roll-eyes.gif"		,		":s"	,	":-S"		)
);

// == Colorsets

// Syntax for adding a new colorset:
// $colorset['my colorset'] = array(color number => 'color code');
// the 6th color is taken for smiley background

// Silver Colorset
$colorset['Silver']  = array(0 => 'DEE3E7', 1 => '000000', 2 => 'DEE3E7', 3 => 'DEE3E7', 4 => 'D1D7DC');
$colorset['Silver'] += array(5 => 'DEE3E7', 6 => 'E5E5E5', 7 => 'D1D7DC', 8 => 'FFA34F', 9 => '000000');
$colorset['Silver'] += array(10 => 'EFEFEF', 11 => 'FFA34F', 12 => '599FCB', 13 => '00ffff', 14 => 'FF33CC');
$colorset['Silver'] += array(15 => 'DEE3E7');

// Brown Colorset
$colorset['Brown']  = array(0 => '887766', 1 => '000000', 2 => '221100', 3 => '221100', 4 => 'FFEEDD');
$colorset['Brown'] += array(5 => 'D3CBBA',	6 => 'E4DDCC', 7 => 'FFEEDD', 8 => 'FFA34F', 9 => 'D3CBBA');
$colorset['Brown'] += array(10 => 'BBAA99', 11 => 'D3CBBA', 12 => 'DD5555', 13 => 'D3CBBA',	14 => 'D3CBBA');
$colorset['Brown'] += array(15 => 'EEDDCC');

// == HTML Comments (color definitions)
$comment = array(
	'<!-- Button Highlight / Popup & Close Button Text & Higlight / Scrollbar Highlight -->',
	'<!-- Button Border & Text : ScrollBar Border & arrow : Popup & Close button Border : User List border & Text & icons -->',
	'<!-- Popup & Close button shadow -->',
	'<!-- Scrollbar shadow -->',
	'<!-- Scrollbar de-light (3D Dim colour -->',
	'<!-- foreground : Buttons Face : Scrollbar Face -->',
	'<!-- background : Header : Scrollbar Track : Footer background -->',
	'<!-- selection : Status & Window button active colour -->',
	'<!-- event Color  -->',
	'<!-- close button -->',
	'<!-- voice icon  -->',
	'<!-- operator icon  -->',
	'<!-- halfoperator icon -->',
	'<!-- male ASL -->',
	'<!-- female ASL -->',
	'<!-- unknown ASL -->'
);
?>
